ThrowOnPartialSchemaStrategy (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.dbsync, class: ThrowOnPartialSchemaStrategy

# Class ThrowOnPartialSchemaStrategy

java.lang.Object
org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy
org.apache.cayenne.access.dbsync.ThrowOnPartialSchemaStrategy

All Implemented Interfaces:
  `SchemaUpdateStrategy`

Direct Known Subclasses:
  `ThrowOnPartialOrCreateSchemaStrategy`

public class ThrowOnPartialSchemaStrategy extends BaseSchemaUpdateStrategy

Since:
  3.0

- ## Field Summary

  ### Fields inherited from class BaseSchemaUpdateStrategy

  `run, threadRunInProgress`
  Modifier and Type
  Field
  Description
  `protected boolean`
  `run`
  `protected final ThreadLocal<Boolean>`
  `threadRunInProgress`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThrowOnPartialSchemaStrategy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `processSchemaUpdate(DataNode dataNode)`
  `protected void`
  `processSchemaUpdate(DataNode dataNode, List<String> mergerOnlyTable, String errorMessage, int entitiesSize)`

  ### Methods inherited from class BaseSchemaUpdateStrategy

  `updateSchema`
  Modifier and Type
  Method
  Description
  `void`
  `updateSchema(DataNode dataNode)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ThrowOnPartialSchemaStrategy

    public ThrowOnPartialSchemaStrategy()

- ## Method Details

  - ### processSchemaUpdate

    protected void processSchemaUpdate(DataNode dataNode) throws SQLException
    Specified by:
      `processSchemaUpdate` in class `BaseSchemaUpdateStrategy`
    Throws:
      `SQLException`

  - ### processSchemaUpdate

    protected void processSchemaUpdate(DataNode dataNode, List<String> mergerOnlyTable, String errorMessage, int entitiesSize) throws SQLException
    Throws:
      `SQLException`